﻿using System;
using System.Web.Mvc;
using ModelAlter.Models;

namespace ModelAlter.Filters
{
    public class ModelAlterFilterAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuted(ActionExecutedContext filterContext)
        {
            PerformModelAlteration(filterContext);

            base.OnActionExecuted(filterContext);
        }

        private void PerformModelAlteration(ActionExecutedContext filterContext)
        {
            var model = filterContext.Controller.ViewData.Model as BaseModel;

            if (model != null)
            {
                model.MeetingDate = DateTime.Now;
            }
        }
    }
}